Warning: Declaration of WPIGFAddOn::plugin_row() should be compatible with GFAdd

This topic contains 8 replies, has 5 voices, and was last updated by  Alex Rollin 1 year, 1 month ago.

  • Author
    Posts
  • #3866

    anbosapersonal
    Expired Member
    Post count: 6

    Hi Support,
    thx for great plugin. I use your Plugin Invoicing. As Addon i will activate “Invoicing – Gravity Forms”. After activation i get this error message:
    Warning: Declaration of WPIGFAddOn::plugin_row() should be compatible with GFAddOn::plugin_row($plugin_name, $plugin_data) in /www/htdocs/…/wp-content/plugins/wpinv-gravity-forms/includes/class-wpi-gf.php on line 523
    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/…/wp-content/plugins/wpinv-gravity-forms/includes/class-wpi-gf.php:523) in /www/htdocs/…/wp-includes/functions.php on line 6029
    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/…/wp-content/plugins/wpinv-gravity-forms/includes/class-wpi-gf.php:523) in /www/htdocs/…/wp-admin/includes/misc.php on line 1252
    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/…/wp-content/plugins/wpinv-gravity-forms/includes/class-wpi-gf.php:523) in /www/htdocs/…/wp-admin/admin-header.php
    Hope, you can help me. Thx
    Andreas

    #3867

    Guust
    Moderator
    Post count: 29970

    I guess you have installed and activated Gravity Forms first, before activating the Invoicing addon?

    Thanks

    #3874

    anbosapersonal
    Expired Member
    Post count: 6

    Hi Guust,
    thank you for your quick response. Yes, first i installed and activated GF. After this i installed and activated the Invoicing Addons.

    #3875

    Patrik
    Moderator
    Post count: 1971

    Hi,

    Can you please mention the version of Gravity form, Invoicing and Gravity form add on? If possible provide admin and FTP details in private reply to troubleshoot the issue on your site as it might be related to your site only.

    Regards,
    Patrik

    #3876

    anbosapersonal
    Expired Member
    Post count: 6
    This reply has been marked as private.
    #3877

    Patrik
    Moderator
    Post count: 1971

    Hi,

    I have fixed the issue from the code and it will be available in the next update release as well. Also, I have tried to activate the add on and it’s activated without error. So you can do the next things as you want. Let me know if you face any other issues.

    Regards,
    Patrik

    #3878

    anbosapersonal
    Expired Member
    Post count: 6

    Super and many thx Patrik for fixing it!
    Everything now works fine!
    Great and fast support!
    Greetings
    Andreas

    #4026

    Ashley Dionysius
    Buyer
    Post count: 9

    I have the same issue. Plese advise what I can do to get this working again.

    Thank you.

    #4028

    Alex Rollin
    Moderator
    Post count: 27815

    Ashley, please make a new topic so we can help you with that.
    The fix mentioned above will be in the next release, so, just stay updated to take advantage.

Viewing 9 posts - 1 through 9 (of 9 total)

The topic ‘Warning: Declaration of WPIGFAddOn::plugin_row() should be compatible with GFAdd’ is closed to new replies, this may be for inactivity, please open a new topic if you have a similar question.